org.custommonkey.xmlunit.exceptions

## Class XpathException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.custommonkey.xmlunit.exceptions.XMLUnitException
      - - org.custommonkey.xmlunit.exceptions.XpathException

All Implemented Interfaces:
  java.io.Serializable

    public class XpathException
    extends XMLUnitException

Exception an `XpathEngine` is allowed to throw.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XpathException(java.lang.String message)` Inititializes the exeption.
`XpathException(java.lang.String message, java.lang.Throwable t)` Inititializes the exeption.
`XpathException(java.lang.Throwable t)` Inititializes the exeption.

### Method Summary

### Methods inherited from class org.custommonkey.xmlunit.exceptions.XMLUnitException

`getCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XpathException

    public XpathException(java.lang.Throwable t)

Inititializes the exeption.

Parameters:
  `cause` - the root cause of the exception

#### XpathException

    public XpathException(java.lang.String message)

Inititializes the exeption.

Parameters:
  `message` - the detail message
  `cause` - the root cause of the exception

#### XpathException

    public XpathException(java.lang.String message,
                  java.lang.Throwable t)

Inititializes the exeption.

Parameters:
  `message` - the detail message
  `cause` - the root cause of the exception